@rem 2005-01-06, Rony G. Flatscher
@echo createDistribution.cmd (for BSF4Rexx)
@echo .
@echo You need Java 1.4 (for Javadoc because of switch "-subpackages") and
@echo CLASSPATH point to the OOo jars...
@echo .
@pause

@rem -----------------------------------------------------------------------------------
@echo deleting old jar-files...
del BSF4Rexx-apache-bsf.jar BSF4Rexx-apache-bsf-source.jar

@echo creating main-jar file...
jar cvMf BSF4Rexx-apache-bsf.jar org/

@echo removing unneeded entries
zip -dr BSF4Rexx-apache-bsf.jar org/apache.neu
zip -dr BSF4Rexx-apache-bsf.jar org/apache.old
zip -dr BSF4Rexx-apache-bsf.jar *.svn*
zip -dr BSF4Rexx-apache-bsf.jar *bkp*
zip -dr BSF4Rexx-apache-bsf.jar *tmp*
@pause

@echo creating the binary and source jar-files ...
copy BSF4Rexx-apache-bsf.jar BSF4Rexx-apache-bsf-source.jar
zip -dr BSF4Rexx-apache-bsf.jar        *.java
zip -dr BSF4Rexx-apache-bsf-source.jar *.class
dir *.jar
@echo finished.
@pause


@rem -----------------------------------------------------------------------------------
@echo creating Javadocs ...
@echo [use at least Java 1.5 (5.0) and make OOo class files available via classpath!]
call make-docs-apache.cmd
@echo deleting old zip-archives for Javadocs ...
del docs_apache_bsf.zip docs_bsf4rexx.zip

@echo creating zip-archives for Javadocs
zip -9r docs_apache_bsf docs.apache.bsf/*
zip -9r docs_apache_bsf ApacheLicense2.0.txt

zip -9r docs_bsf4rexx docs.bsf4rexx/*
zip -9r docs_bsf4rexx ApacheLicense2.0.txt
@echo finished.
@pause


@rem -----------------------------------------------------------------------------------
@echo deleting install directory
rm -rf bsf4rexx

@echo creating install directory and populating it ...
md bsf4rexx
copy *.txt                              bsf4rexx\
copy BSF4Rexx-apache-bsf.jar            bsf4rexx\
copy bin\BSF*                           bsf4rexx\
copy bin\info*                          bsf4rexx\
copy bin\Java*                          bsf4rexx\
copy bin\rexxj*                         bsf4rexx\
copy bin\setup*                         bsf4rexx\
copy bin\libBS*                         bsf4rexx\
copy bin\testOOo.rex                    bsf4rexx\
copy bin\testOOo2.rex                   bsf4rexx\
copy bin\testListProps*rex              bsf4rexx\
copy bin\UNO*                           bsf4rexx\
copy bin\ScriptProviderForooRexx.jar    bsf4rexx\

del BSF4Rexx_install.zip
zip -9 BSF4Rexx_install bsf4rexx/*
@echo finished.
@pause


@rem -----------------------------------------------------------------------------------
@echo creating sample archive ...
del BSF4Rexx_samples.zip
zip -9r BSF4Rexx_samples samples/*
zip -9r BSF4Rexx_samples ApacheLicense2.0.txt
zip -dr BSF4Rexx_samples *.svn*
@pause


@rem -----------------------------------------------------------------------------------
@echo creating test archive ...
del BSF4Rexx_tests.zip
zip -9r BSF4Rexx_tests test/*
zip -9r BSF4Rexx_tests ApacheLicense2.0.txt
zip -dr BSF4Rexx_tests *.svn*
@pause


@rem -----------------------------------------------------------------------------------
@echo creating source archive ...
del BSF4Rexx_sources.zip
zip -9 BSF4Rexx_sources *.txt
zip -9 BSF4Rexx_sources *.cmd
zip -9 BSF4Rexx_sources source_cc/*
zip -9 BSF4Rexx_sources source_java/*
zip -9 BSF4Rexx_sources source_java/apache-rexxla/*
zip -9 BSF4Rexx_sources source_java/ibm-rexxla/*
zip -dr BSF4Rexx_sources *.svn*
@pause

dir *.jar *.zip











